complexType "Metal"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | material?, shape*, brand*, grade*
</...>

Content Model Elements (4):

  brand, grade (in metal), | material, shape

All Direct / Indirect Based Elements (1):

  metal

Known Usage Locations

- As direct type of elements (1):
  metal

Annotation
A type defining the characteristics of the metal product being traded in a physically settled metal transaction.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="Metal"> <xsd:sequence> <xsd:element minOccurs="0" name="material" type="Material"/> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="shape" type="CommodityMetalShape"/> </xsd:sequence> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="brand" type="CommodityMetalBrand"/> </xsd:sequence> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="grade" type="CommodityMetalGrade"/> </xsd:sequence> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
brand

  Type: | CommodityMetalBrand, complex content

  The brand(s) of material which can be delivered in Seller's option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="brand" type="CommodityMetalBrand"/>

grade

  Type: | CommodityMetalGrade, simple content

  The grade(s) of material which can be delivered in seller's option.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="grade" type="CommodityMetalGrade"/>

material

  Type: | Material, simple content

  The types of metal product for a physically settled metal trade.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="material" type="Material"/>

shape

  Type: | CommodityMetalShape, simple content

  The physical shape(s) which can be delivered in Seller's option.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="shape" type="CommodityMetalShape"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.